package com.mdd.admin.validate.commons;

import io.swagger.annotations.ApiModel;
import java.io.Serializable;
import javax.validation.constraints.DecimalMax;
import javax.validation.constraints.DecimalMin;

@ApiModel("分页参数")
public class PageValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   public @DecimalMin(
   value = "1",
   message = "pageNo参数必须大于0的数字"
) Integer pageNo = 1;
   private @DecimalMin(
   value = "1",
   message = "pageSize参数必须是大于0的数字"
) @DecimalMax(
   value = "2000",
   message = "pageSize参数必须是小于2000的数字"
) Integer pageSize = 20;

   public Integer getPageNo() {
      return this.pageNo;
   }

   public Integer getPageSize() {
      return this.pageSize;
   }

   public void setPageNo(Integer pageNo) {
      this.pageNo = pageNo;
   }

   public void setPageSize(Integer pageSize) {
      this.pageSize = pageSize;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof PageValidate)) {
         return false;
      } else {
         PageValidate other = (PageValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$pageNo = this.getPageNo();
            Object other$pageNo = other.getPageNo();
            if (this$pageNo == null) {
               if (other$pageNo != null) {
                  return false;
               }
            } else if (!this$pageNo.equals(other$pageNo)) {
               return false;
            }

            Object this$pageSize = this.getPageSize();
            Object other$pageSize = other.getPageSize();
            if (this$pageSize == null) {
               if (other$pageSize != null) {
                  return false;
               }
            } else if (!this$pageSize.equals(other$pageSize)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof PageValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $pageNo = this.getPageNo();
      result = result * 59 + ($pageNo == null ? 43 : $pageNo.hashCode());
      Object $pageSize = this.getPageSize();
      result = result * 59 + ($pageSize == null ? 43 : $pageSize.hashCode());
      return result;
   }

   public String toString() {
      return "PageValidate(pageNo=" + this.getPageNo() + ", pageSize=" + this.getPageSize() + ")";
   }
}
